<html><head></head><body bgcolor="#FFFFFF"><div>Hi</div><div>Perhaps you should use port. I use it and never had any problems installing scipy, numpy, networkx etc. You just do port install py26-packagename.</div><div><br></div><div>You find port here&nbsp;<a href="http://www.macports.org/">http://www.macports.org/</a></div><div><br></div><div>Cheers</div><div>Marcel&nbsp;<br><br><div><br></div><div><br></div></div><div><br>On 07.06.2012, at 17:59, Irina Nudelman &lt;<a href="mailto:irina.nudelman@gmail.com">irina.nudelman@gmail.com</a>&gt; wrote:<br><br></div><div></div><blockquote type="cite"><div><span style="">Hello,</span><div style=""><br></div><div style="">I have trouble installing Scipy on my Mac. I downloaded this: scipy-0.10.1-py2.6-python.org-macosx10.3.dmg and clicked and tried to install, but it told me it needs python 2.6. However, that's the version I have already. When I do python, I see:</div>
<div style=""><br></div><div style=""><div>Python 2.6.1 (r261:67515, Jun 24 2010, 21:47:49)&nbsp;</div><div>[GCC 4.2.1 (Apple Inc. build 5646)] on darwin</div><div>Type "help", "copyright", "credits" or "license" for more information.</div>
</div><div style=""><br></div><div style="">Can you help me figure out how to install it?</div><div style=""><br></div><div style="">Also, is it possible to install it with easy_install? It didn't work when I tried, giving me:</div>
<div style=""><br></div><div style=""><div>non-existing path in '/private/var/folders/RO/ROU+Y3JnHwiY4x+4HGSFPk+++TI/-Tmp-/easy_install-6RBzym/scipy-0.10.1/scipy/io': 'docs'</div><div>/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/system_info.py:414: UserWarning:&nbsp;</div>
<div>&nbsp; &nbsp; UMFPACK sparse solver (<a href="http://www.cise.ufl.edu/research/sparse/umfpack/" target="_blank" style="color:rgb(17,85,204)">http://www.cise.ufl.edu/research/sparse/umfpack/</a>)</div><div>&nbsp; &nbsp; not found. Directories to search for the libraries can be specified in the</div>
<div>&nbsp; &nbsp; numpy/distutils/site.cfg file (section [umfpack]) or by setting</div><div>&nbsp; &nbsp; the UMFPACK environment variable.</div><div>&nbsp; warnings.warn(self.notfounderror.__doc__)</div><div>Traceback (most recent call last):</div>
<div>&nbsp; File "/usr/bin/easy_install-2.6", line 10, in &lt;module&gt;</div><div>&nbsp; &nbsp; load_entry_point('setuptools==0.6c9', 'console_scripts', 'easy_install')()</div><div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/setuptools/command/easy_install.py", line 1671, in main</div>
<div>&nbsp; &nbsp; with_ei_usage(lambda:</div><div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/setuptools/command/easy_install.py", line 1659, in with_ei_usage</div><div>&nbsp; &nbsp; return f()</div>
<div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/setuptools/command/easy_install.py", line 1675, in &lt;lambda&gt;</div><div>&nbsp; &nbsp; distclass=DistributionWithoutHelpCommands, **kw</div>
<div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/core.py", line 152, in setup</div><div>&nbsp; &nbsp; dist.run_commands()</div><div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.py", line 975, in run_commands</div>
<div>&nbsp; &nbsp; self.run_command(cmd)</div><div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.py", line 995, in run_command</div><div>&nbsp; &nbsp; cmd_obj.run()</div><div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/setuptools/command/easy_install.py", line 211, in run</div>
<div>&nbsp; &nbsp; self.easy_install(spec, not <a href="http://self.no">self.no</a>_deps)</div><div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/setuptools/command/easy_install.py", line 446, in easy_install</div>
<div>&nbsp; &nbsp; return self.install_item(spec, dist.location, tmpdir, deps)</div><div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/setuptools/command/easy_install.py", line 476, in install_item</div>
<div>&nbsp; &nbsp; dists = self.install_eggs(spec, download, tmpdir)</div><div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/setuptools/command/easy_install.py", line 655, in install_eggs</div>
<div>&nbsp; &nbsp; return self.build_and_install(setup_script, setup_base)</div><div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/setuptools/command/easy_install.py", line 930, in build_and_install</div>
<div>&nbsp; &nbsp; self.run_setup(setup_script, setup_base, args)</div><div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/setuptools/command/easy_install.py", line 919, in run_setup</div>
<div>&nbsp; &nbsp; run_setup(setup_script, args)</div><div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/setuptools/sandbox.py", line 27, in run_setup</div><div>&nbsp; &nbsp; lambda: execfile(</div>
<div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/setuptools/sandbox.py", line 63, in run</div><div>&nbsp; &nbsp; return func()</div><div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/setuptools/sandbox.py", line 29, in &lt;lambda&gt;</div>
<div>&nbsp; &nbsp; {'__file__':setup_script, '__name__':'__main__'}</div><div>&nbsp; File "setup.py", line 196, in &lt;module&gt;</div><div>&nbsp; File "setup.py", line 187, in setup_package</div><div>
&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/core.py", line 150, in setup</div><div>&nbsp; &nbsp; config = configuration()</div><div>&nbsp; File "setup.py", line 138, in configuration</div>
<div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/misc_util.py", line 851, in add_subpackage</div><div>&nbsp; &nbsp; caller_level = 2)</div><div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/misc_util.py", line 834, in get_subpackage</div>
<div>&nbsp; &nbsp; caller_level = caller_level + 1)</div><div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/misc_util.py", line 781, in _get_configuration_from_setup_py</div>
<div>&nbsp; &nbsp; config = setup_module.configuration(*args)</div><div>&nbsp; File "scipy/setup.py", line 20, in configuration</div><div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/misc_util.py", line 851, in add_subpackage</div>
<div>&nbsp; &nbsp; caller_level = 2)</div><div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/misc_util.py", line 834, in get_subpackage</div><div>&nbsp; &nbsp; caller_level = caller_level + 1)</div>
<div>&nbsp; File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/misc_util.py", line 766, in _get_configuration_from_setup_py</div><div>&nbsp; &nbsp; ('.py', 'U', 1))</div>
<div>&nbsp; File "/private/var/folders/RO/ROU+Y3JnHwiY4x+4HGSFPk+++TI/-Tmp-/easy_install-6RBzym/scipy-0.10.1/scipy/special/setup.py", line 14, in &lt;module&gt;</div><div>ValueError: numpy &gt;= 1.4 is required (detected 1.2.1 from /System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/__init__.pyc)</div>
</div><div style=""><br></div><div style="">Thank you very much,</div><div style="">Irina.</div>
</div></blockquote><blockquote type="cite"><div><span>_______________________________________________</span><br><span>SciPy-User mailing list</span><br><span><a href="mailto:SciPy-User@scipy.org">SciPy-User@scipy.org</a></span><br><span><a href="http://mail.scipy.org/mailman/listinfo/scipy-user">http://mail.scipy.org/mailman/listinfo/scipy-user</a></span><br></div></blockquote></body></html>